=== debian/control ===
Source: pimcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.12.2~),
               libakonadicontact-dev (>= 4:25.12.2~),
               libakonadisearch-dev (>= 4:25.12.2~),
               libkdepim-dev (>= 4:25.12.2~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6purpose-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.12.2~),
               libkldap-dev (>= 25.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               libplasmaactivities-dev (>= 6.1.0~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pimcommon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Rules-Requires-Root: no

Package: libpimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libpimcommon-dev
Section: libdevel
Architecture: any
Depends: libakonadi-dev (>= 4:25.12.2~),
         libakonadicontact-dev (>= 4:25.12.2~),
         libkdepim-dev (>= 4:25.12.2~),
         libkf6config-dev (>= 6.6.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6kio-dev (>= 6.6.0~),
         libkimap-dev (>= 25.12.2~),
         libkpim6pimcommon6 (= ${binary:Version}),
         libkpim6pimcommonactivities6 (= ${binary:Version}),
         libkpim6pimcommonakonadi6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonactivities6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for Plasma Activities in KDE PIM
 This library provides the common parts used for Plasma Activities.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.
